<template>
  <div
    class="z-50 fixed bg-100 py-2 px-4 flex items-center max-w-500 w-[100%] shadow-1000 flex flex-row justify-between"
  >
    <div class="flex flex-row items-center">
      <button
        class="relative p-3 rounded-full overflow-hidden"
        @click="$router.back()"
      >
        <div
          class="absolute inset-0 w-full h-full hover:bg-[#000] hover:ease-in-out hover:duration-300 focus:scale-100 before:scale-100 opacity-10 after:scale-0 after:origin-center"
        ></div>
        <svg
          width="20"
          height="20"
          viewBox="0 0 20 20"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path
            d="M17.2638 8.71768H5.31668L10.5362 3.49815C10.9533 3.08102 10.9533 2.39649 10.5362 1.97935C10.1191 1.56222 9.44524 1.56222 9.0281 1.97935L1.9796 9.02786C1.56246 9.44499 1.56246 10.1188 1.9796 10.536L9.0281 17.5845C9.44524 18.0016 10.1191 18.0016 10.5362 17.5845C10.9533 17.1673 10.9533 16.4935 10.5362 16.0764L5.31668 10.8568H17.2638C17.8521 10.8568 18.3334 10.3755 18.3334 9.78726C18.3334 9.19899 17.8521 8.71768 17.2638 8.71768Z"
            fill="#03AC0E"
          />
        </svg>
      </button>
      <p class="text-base font-bold text-200 ml-2">{{ label }}</p>
    </div>
    <div>
      <svg
        class="w-6 fill-200 mr-2.5"
        focusable="false"
        aria-hidden="true"
        viewBox="0 0 24 24"
        data-testid="SearchIcon"
      >
        <path
          d="M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z"
        ></path>
      </svg>
    </div>
  </div>
</template>

<script>
export default {
  name: "ReaderHeaderProduct",
  props: ["label"],
};
</script>
